/*------------------------------------*\
    #NEWS-SLIDER
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-slider-space-vertical: $inuit-base-space-vertical;

.#{$inuit-namespace}news-slider,
%#{$inuit-namespace}news-slider {
    //margin-bottom: $inuit-base-space-vertical-small-only;
    //padding: $inuit-base-space-vertical-small-only 0;
    //overflow: hidden;
    //background: $frs-color-light-beige;

    // Typically sections get their bottom padding removed when they're the
    // last section on the page. This re-adds the padding to the news-slider.
    // It also remove the bottom margin so the footer won't move down too far.
    &:last-of-type {
        //margin-bottom: 0;
        //padding-bottom: $inuit-news-slider-space-vertical;
    }

    @media #{$medium-up} {
        margin-bottom: $inuit-news-slider-space-vertical;
        padding: $inuit-news-slider-space-vertical 0;
    }
}

.#{$inuit-namespace}news-slider__list,
%#{$inuit-namespace}news-slider__list,
.#{$inuit-namespace}partner-slider {
    clear: both;
    margin-bottom: 0;
    position: relative;

    @media #{$medium-up} {
        margin: 0 -.5 * $frs-base-unit;
    }

    @media #{$large-up} {
        margin: 0;
        padding: 0 $frs-base-unit;
        padding-left: 1.5 * $frs-base-unit;
    }
    .c-news-slider__break,
    .c-news-slider__play {
        position: absolute;
        border: 0;
        background: rgba(255, 255, 2555, .82);
        top: -35px;
        right: auto;
        left: 4px;
        width: 32px;
        height: 32px;
        color: $frs-color-blue;
        z-index: 9;
        font-size: 1.3rem;
        @include epx-transition(background 300ms ease-in-out 0s);
        @media #{$large-up} {
            top: -35px;
        }
        @media #{$small-only} {
            top: 13px;
            left: 10px;
        }
    }
}

.c-news-slider__play {
    img {
        width:10px;
        height:20px;
    }
}
.c-news-slider__break {

    img {
        width:10px;
        height:20px;
    }
}
.c-news-slider .c-news-slider__item {
    display: none;
    visibility: hidden;
}
.c-news-slider .c-news-slider__item:first-child {
    visibility: visible;
    display:block;
}
.c-news-slider .c-news-slider__item.slick-slide {
    visibility: visible;
    display:block;
}
.#{$inuit-namespace}news-slider__item,
%#{$inuit-namespace}news-slider__item {

    &.slick-active {
        text-decoration: inherit;
    }

    @media #{$medium-up} {
        padding: 0 .5 * $frs-base-unit;
    }

    @media #{$large-up} {
        padding: 0 $frs-base-unit;
        margin-left: -.5 * $frs-base-unit;
    }
}

.#{$inuit-namespace}news-slider__headline,
%#{$inuit-namespace}news-slider__headline {
    margin-bottom: $frs-base-unit;
}

.#{$inuit-namespace}news-slider__arrow,
%#{$inuit-namespace}news-slider__arrow {
    background: transparent;
    border: 0;
    color: $frs-color-blue;
    height: 80px;
    padding: 0;
    position: absolute;
    top: 5px;
    width: 42px;
    z-index: 7;
    img {
        height:60px;
    }

    @include frs-hover {
        color: darken($frs-color-blue, 20);
    }
    @media #{$medium-up} {
        top: -100px;
    }
    > svg {
        @media #{$large-up} {
            height: auto;
            width: rem-calc(100px);
        }
    }

    @media #{$large-up} {
        margin-top: rem-calc(-75px);
        height: auto;
        top: 50%;
        width: 42px;
    }

    &--prev {
        right: 62px;
        left:auto;
        width: 42px;
        @media #{$large-up} {
            left:0;
            right: auto;
        }
    }

    &--next {
        right: 5px;
        width: 42px;
        @media #{$large-up} {
            right: 0;
        }
    }

}

.#{$inuit-namespace}partner-slider {
    .c-news-slider__arrow {
        padding:0 !important;
    }
}
